// #autoload 
// #name = NewVoteHud
// #version = 1.6
// #date = 27th Decomber 2002
// #status = Release
// #author = @-Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = A new vote Hud with more info. v1.6 Added Classic 1.4 options.
// #category = Kaiten
// #config = NewVoteHudOptionsGui

if(isFile("prefs/NewVoteHudPrefs.cs"))
{
	exec("prefs/NewVoteHudPrefs.cs");
	if($NewVoteHud::NewVoteHudProfile $= "")
	{
		$NewVoteHud::NewVoteHudProfile = "HudScoreProfile";
		$NewVoteHud::NewVoteHudProfileId = "3";
		$NewVoteHud::BottomPrint = 1;
	}
}
else
{
	$NewVoteHud::NewVoteHudProfile = "HudScoreProfile";
	$NewVoteHud::NewVoteHudProfileId = "3";
	$NewVoteHud::BottomPrint = 1;
	export("$NewVoteHud::*", "prefs/NewVoteHudPrefs.cs", false);
	exec("prefs/NewVoteHudPrefs.cs");
}

new GuiControlProfile ("NewVoteHudProfile")
{
	bitmap = "gui/hud_NewVoteHud";
	borderColor = "30 59 56";
};

new GuiControlProfile ("NewVoteHudProfile1")
{
	bitmap = "gui/hud_NewVoteHud1";
	borderColor = "30 59 56";
};

new GuiControlProfile ("NewVoteHudProfile2")
{
	bitmap = "gui/hud_NewVoteHudOrg";
	borderColor = "30 59 56";
};

package NewVoteHud
{
        function DisconnectedCleanup()
	{
		parent::DisconnectedCleanup();
		closeNewVoteHud();
	}

};
activatepackage(NewVoteHud);

function initVote(%msgType, %msgString)
{
      	if($NewVoteHud::BottomPrint)
       	{
       		if(!$BottomPrintActive)
  		{
     			%yBind = strUpr(getField(moveMap.getBinding(voteYes), 1));
     			%nBind = strUpr(getField(moveMap.getBinding(voteNo), 1));

     			%message = detag(%msgString) @ "\nPress " @ %yBind @ " to vote YES or " @ %nBind @ " to vote NO.";
     			clientCmdBottomPrint(%message, 10, 2);
  		}
  	}
	else
	{
		%yBind = strUpr(getField(moveMap.getBinding(voteYes), 1));
		%nBind = strUpr(getField(moveMap.getBinding(voteNo), 1));
	}
}

function openVoteHud(%msgType, %msgString, %numClients, %passPercent)
{
	alxPlay(VoteInitiatedSound, 0, 0, 0);
}

function initNewVoteHud(%msgType, %msgString, %arg1, %arg2, %arg3, %arg4)
{
       	%msgType = detag(%msgType);
   	%msgString = detag(%msgString);
   	%arg1 = detag(%arg1);
   	%arg2 = detag(%arg2);
   	%arg3 = detag(%arg3);
   	%arg4 = detag(%arg4);
   	
        switch$(%arg4)
        {
        	case "Capture and Hold":
        		%arg4 = "CnH";
              	case "Capture the Flag":
               	 	%arg4 = "CTF";
        	case "Deathmatch":
               	 	%arg4 = "DM";
        	case "Team Hunters":
               	 	%arg4 = "TH";
               	case "Defend and Destroy":
               		%arg4 = "DnD";
               	case "Team Rabbit 2":
               		%arg4 = "TR2";

        }

        if(%msgType $= "VoteStarted")
        {
           	if(Strstr(%msgString, "Vote initiated to skip the mission to") != -1)
   		{
   			NewVoteHudVoterInfo.setText("Server Auto Vote");
               	  	NewVoteHudVoteType.setText("Skip the mission to");
               	  	NewVoteHudVoteFor.setText(%arg1);
               	  	return;
		}

		if(Strstr(%msgString, "Vote initiated to kick the teamkiller") != -1)
   		{
   			NewVoteHudVoterInfo.setText("Server Auto Vote");
               	  	NewVoteHudVoteType.setText("Kick Team Killer");
               	  	NewVoteHudVoteFor.setText(%arg1);
               	  	return;
		}

           	switch$(%arg2)
           	{
        	      	case "":
          		     	switch$(%arg3)
        	       	    	{
                       			case "enable team damage":
                       				NewVoteHudVoterInfo.setText(%arg1);
                       				NewVoteHudVoteType.setText("Enable");
                       				NewVoteHudVoteFor.setText("Team Damage");
                       			case "disable team damage":
                       				NewVoteHudVoterInfo.setText(%arg1);
                       				NewVoteHudVoteType.setText("Disable");
                       				NewVoteHudVoteFor.setText("Team Damage");
                                       	case "enable random teams":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Enable");
                                       		NewVoteHudVoteFor.setText("Random Teams");	
                                       	case "disable random teams":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Disable");
                                       		NewVoteHudVoteFor.setText("Random Teams");
                                       	case "enable fair teams":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Enable");
                                       		NewVoteHudVoteFor.setText("Fair Teams");	
                                       	case "disable fair teams":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Disable");
                                       		NewVoteHudVoteFor.setText("Fair Teams");                   		
                                       	case "enable armor limiting":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Enable");
                                       		NewVoteHudVoteFor.setText("Armor Limiting");	
                                       	case "disable armor limitings":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Disable");
                                       		NewVoteHudVoteFor.setText("Armor Limiting");
                                        case "change the anti turtle time to":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Change Anti Turtle");
                                       		NewVoteHudVoteFor.setText(%arg3@" minutes");	
                                       	case "change the armor class to":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Change Armour");
                                       		NewVoteHudVoteFor.setText(%arg3);	
                                     	case "clear server for match":
                                 		NewVoteHudVoterInfo.setText(%arg1);
                                 		NewVoteHudVoteType.setText("Clear Server");
                                       		NewVoteHudVoteFor.setText("Match");                       				
				}
                     		//--------Funny Results with bwadmin------------
               		case "enable team damage":
               			NewVoteHudVoterInfo.setText(%arg1);
               			NewVoteHudVoteType.setText("Enable");
               			NewVoteHudVoteFor.setText("Team Damage");
                       	case "disable team damage":
                       		NewVoteHudVoterInfo.setText(%arg1);
                       		NewVoteHudVoteType.setText("Disable");
                       		NewVoteHudVoteFor.setText("Team Damage");
                       		//-----------------------------------------------
                 	case "Kick Player":
                 		NewVoteHudVoterInfo.setText(%arg1);
                  		NewVoteHudVoteType.setText("Kick Player");
                  		NewVoteHudVoteFor.setText(%arg3);
                 	case "Ban Player":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText("Ban Player");
                 		NewVoteHudVoteFor.setText(%arg3);
                 	case "Admin player":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText("Admin Player");
                 		NewVoteHudVoteFor.setText(%arg3);
                 	case "change the mission to":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 	   	NewVoteHudVoteType.setText("Change Mission to");
                 	   	NewVoteHudVoteFor.setText(%arg3@ "(" @ %arg4 @ ")");
                 	case "Change server to Tournament":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 	   	NewVoteHudVoteType.setText("Change Server to");
                 	   	NewVoteHudVoteFor.setText("Tournament");
                 	case "Change server to Free for All":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 	   	NewVoteHudVoteType.setText("Change Server to");
                 	   	NewVoteHudVoteFor.setText("Free for All");
                 	case "change the server to":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 	   	NewVoteHudVoteType.setText("Change Server to");
                 	   	switch$(%arg3)
        	       	    	{
                 	   		case "Change server to Free for All.":
                 	   			NewVoteHudVoteFor.setText("Free for All");
                 	   		case "Change server to Tournament.":
                 	   			NewVoteHudVoteFor.setText("Tournament");
                 	   	}		
                 	case "start the match":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText("Change Server to");
                 		NewVoteHudVoteFor.setText("Start The Match");
                 	case "disable Hoard Mode":
                 	   	NewVoteHudVoterInfo.setText(%arg1);
                 	   	NewVoteHudVoteType.setText("Disable");
                       		NewVoteHudVoteFor.setText("Hoard Mode");
                 	case "enable Hoard Mode":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 	   	NewVoteHudVoteType.setText("Enable");
                       		NewVoteHudVoteFor.setText("Hoard Mode");
                 	case "disable Greed Mode":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText("Disable");
                       		NewVoteHudVoteFor.setText("Greed Mode");
                 	case "enable Greed Mode":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText("Enable");
                       		NewVoteHudVoteFor.setText("Hoard Mode");
                 	case "change the time limit to":
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText("Change Time Limit");
                       		NewVoteHudVoteFor.setText(%arg3@" minutes");
                 	default:
                 		NewVoteHudVoterInfo.setText(%arg1);
                 		NewVoteHudVoteType.setText(%arg2);
              	   		NewVoteHudVoteFor.setText(%arg3@" "@%arg4);
       		}
      	}
}

function openNewVoteHud(%msgType, %msgString, %numClients, %passPercent)
{
       	NewVoteHudVoteOverview.totalVotes   = 0;
	NewVoteHudVoteOverview.size         = %numClients;
	NewVoteHudVoteOverview.quorum       = (%numClients / 2);
	$VotableClients = %numClients;
   	if(NewVoteHudVoteOverview.quorum < 1)
  		NewVoteHudVoteOverview.quorum = 1;

   	NewVoteHudVoteOverview.pass = NewVoteHudVoteOverview.quorum * %passPercent;

   	NewVoteHudVoteOverview.setPassValue(%passPercent);
	NewVoteHudPassHash.position = getWord(NewVoteHudVoteOverview.extent, 0) * %passPercent @ " 0";
        NewVoteHudVoteYes.setText("Yes: 0");
        NewVoteHudVoteNo.setText("No: 0");
        NewVoteHudVotePctRqd.setText("("@%passPercent * 100 @"% Req)");
        NewVoteHud.setVisible(true);
}

function NewVoteHudaddYesVote(%msgType, %msgString)
{
	NewVoteHudVoteOverview.yesCount++;
   	NewVoteHudVoteOverview.totalVotes++;
   	NewVoteHudVoteYes.setText("Yes: "@NewVoteHudVoteOverview.yesCount);
   	$CalcForPercentage = NewVoteHudVoteOverview.yesCount * 100;
   	%PercentYesVoteValue = mfloor($CalcForPercentage / $VotableClients);
	NewVoteHudVotePct.setText("Curr: "@ %PercentYesVoteValue@"%");

   	if(NewVoteHudVoteOverview.isVisible())
      		NewVoteHudVoteOverview.setYesValue(NewVoteHudVoteOverview.yesCount / NewVoteHudVoteOverview.size);
}

function NewVoteHudaddNoVote(%msgType, %msgString)
{
	NewVoteHudVoteOverview.noCount++;
	NewVoteHudVoteOverview.totalVotes++;
	NewVoteHudVoteNo.setText("No: "@NewVoteHudVoteOverview.noCount);

	if(NewVoteHudVoteOverview.isVisible())
      		NewVoteHudVoteOverview.setNoValue(NewVoteHudVoteOverview.noCount / NewVoteHudVoteOverview.size);
}

function closeNewVoteHud()
{
       	if(isObject(NewVoteHud))
       	{
       		NewVoteHud.setVisible(false);
       		NewVoteHudVoteOverview.yesCount = 0;
		NewVoteHudVoteOverview.noCount = 0;
		$NewVoteHudpassHashPosn = false;
	}
}

function NewVoteHudOptionsGui::onWake(%this)
{
	CreateNewVoteHudPreview();
	%selId = $NewVoteHud::NewVoteHudProfileId;
	NewVoteHudPreviewPopup.setSelected(%selId);
}

function NewVoteHudPreviewPopup::onSelect(%this, %id, %text)
{
	$NewVoteHud::NewVoteHudProfile = %text;
	$NewVoteHud::NewVoteHudProfileId = %id;
	CreateNewVoteHudPreview();
}

function NewVoteHudSavePrefs(%this)
{
	export("$NewVoteHud::*", "prefs/NewVoteHudPrefs.cs", false);
	exec("prefs/NewVoteHudPrefs.cs");
}

function CreateNewVoteHudPreview()
{
	if(isObject(NewVoteHudPreview))
        {
               	NewVoteHudOptionsGui.remove(NewVoteHudPreview);
               	NewVoteHudPreview.delete();
        }

        new HudScoreCtrl(NewVoteHudPreview)
        {
        	profile = $NewVoteHud::NewVoteHudProfile;
		horizSizing = "right";
		vertSizing = "bottom";
               	position = "25 25";
               	extent = "345 37";
               	minExtent = "16 37";
               	visible = "1";
               	hideCursor = "0";
               	bypassHideCursor = "0";
               	helpTag = "0";
               	fillColor = "0.250000 0.250000 0.250000 0.250000";
               	frameColor = "0.000000 1.000000 0.000000 1.000000";
               	opacity = "1";
               	verticalInset = "3 0";
               	horizontalInset = "2 2";

               	new GuiTextCtrl(NewVoteHudPreviewVoterInfo)
               	{
               		profile = "GuiTextObjGreenCenterProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "3 3";
               		extent = "109 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		text = "Kaiten Commander";
               		longTextBuffer = "0";
               		maxLength = "255";
               	};
               	new GuiTextCtrl(NewVoteHudPreviewVoteType)
               	{
               		profile = "GuiTextObjGreenCenterProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "118 3";
               		extent = "109 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		longTextBuffer = "0";
               		text = "Kick Player";
               		maxLength = "255";
               	};
               	new GuiTextCtrl(NewVoteHudPreviewVoteFor)
               	{
               		profile = "GuiTextObjGreenCenterProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "233 3";
               		extent = "109 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		text = getField($pref::Player0, 0);
               		longTextBuffer = "0";
               		maxLength = "255";
               	};
               	new GuiTextCtrl(NewVoteHudPreviewVoteYes)
               	{
               		profile = "GuiTextObjHudCenterProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "3 19";
               		extent = "55 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		text = "Yes: 15";
               		longTextBuffer = "0";
               		maxLength = "255";
               	};
               	new GuiTextCtrl(NewVoteHudPreviewVoteNo)
               	{
               		profile = "GuiTextObjHudCenterProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "58 19";
               		extent = "55 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		text = "No: 5";
               		longTextBuffer = "0";
               		maxLength = "255";
               	};
               	new GuiTextCtrl(NewVoteHudPreviewVotePct)
               	{
               		profile = "GuiTextObjHudLeftProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "118 19";
               		extent = "55 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		text = "Curr: 75%";
               		longTextBuffer = "0";
               		maxLength = "255";
               	};
               	new GuiTextCtrl(NewVoteHudPreviewVotePctRqd)
               	{
               		profile = "GuiTextObjHudLeftProfile";
               		horizSizing = "right";
               		vertSizing = "bottom";
               		position = "180 19";
               		extent = "50 16";
               		minExtent = "8 8";
               		visible = "1";
               		hideCursor = "0";
               		bypassHideCursor = "0";
               		helpTag = "0";
               		text = "(75% Req)";
               		longTextBuffer = "0";
               		maxLength = "255";
               	};
               	new HudHorzCtrl(NewMainVoteHudPreview)
               	{
			profile = "HudVoteBackProfile";
			horizSizing = "width";
			vertSizing = "bottom";
			position = "233 22";
			extent = "109 10";
			minExtent = "109 10";
			visible = "1";

               		new GuiVoteCtrl(NewVoteHudVotePreviewOverview)
               		{
               			profile = "ShellProgressBarProfile";
               			horizSizing = "width";
	      			vertSizing = "bottom";
               			position = "0 0";
               			extent = "109 10";
               			minExtent = "109 10";
               			visible = "1";
      			};
      			new GuiBitmapCtrl(NewVoteHudPreviewPassHash)
      			{
	      			profile = "GuiDefaultProfile";
         			horizSizing = "left";
         			vertSizing = "bottom";
         			position = "55 0";
         			extent = "5 10";
         			minExtent = "5 10";
         			visible = "1";
				bitmap = "gui/voteMeterPassBar";
      			};
      		};
	};
        NewVoteHudVotePreviewOverview.totalVotes   = "20";
  	NewVoteHudVotePreviewOverview.size         = "20";
  	NewVoteHudVotePreviewOverview.quorum       = "10";
  	NewVoteHudVotePreviewOverview.pass	   = (NewVoteHudVoteOverview.quorum * 0.5);
  	NewVoteHudVotePreviewOverview.setPassValue("0.5");
  	NewVoteHudVotePreviewOverview.setYesValue("0.75");
  	NewVoteHudVotePreviewOverview.setNoValue("0.25");
        NewVoteHudPreview.setSeparators("115 230");
        NewVoteHudOptionsGui.add(NewVoteHudPreview);
}


if(!isObject(NewVoteHud))
{
       	new HudScoreCtrl(NewVoteHud)
       	{
       		profile = $NewVoteHud::NewVoteHudProfile;
		horizSizing = "right";
		vertSizing = "top";
          	position = getWord(objectiveHud.position, 0) @ " " @ getWord(objectiveHud.position, 1) - 39;
             	extent = "345 37";
              	minExtent = "16 37";
              	visible = "0";
              	hideCursor = "0";
              	bypassHideCursor = "0";
              	helpTag = "0";
              	fillColor = "0.250000 0.250000 0.250000 0.250000";
              	frameColor = "0.000000 1.000000 0.000000 1.000000";
              	opacity = "1";
              	verticalInset = "3 0";
              	horizontalInset = "2 2";

              	new GuiTextCtrl(NewVoteHudVoterInfo)
              	{
              		profile = "GuiTextObjGreenCenterProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "3 3";
              		extent = "109 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new GuiTextCtrl(NewVoteHudVoteType)
              	{
              		profile = "GuiTextObjGreenCenterProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "118 3";
              		extent = "109 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new GuiTextCtrl(NewVoteHudVoteFor)
              	{
              		profile = "GuiTextObjGreenCenterProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "233 3";
              		extent = "109 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new GuiTextCtrl(NewVoteHudVoteYes)
              	{
              		profile = "GuiTextObjHudCenterProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "3 19";
              		extent = "55 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new GuiTextCtrl(NewVoteHudVoteNo)
              	{
              		profile = "GuiTextObjHudCenterProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "58 19";
              		extent = "55 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new GuiTextCtrl(NewVoteHudVotePct)
              	{
              		profile = "GuiTextObjHudLeftProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "118 19";
              		extent = "55 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new GuiTextCtrl(NewVoteHudVotePctRqd)
              	{
              		profile = "GuiTextObjHudLeftProfile";
              		horizSizing = "right";
              		vertSizing = "bottom";
              		position = "180 19";
              		extent = "50 16";
              		minExtent = "8 8";
              		visible = "1";
              		hideCursor = "0";
              		bypassHideCursor = "0";
              		helpTag = "0";
              		longTextBuffer = "0";
              		maxLength = "255";
              	};
              	new HudHorzCtrl(NewMainVoteHud)
              	{
			profile = "HudVoteBackProfile";
			horizSizing = "width";
			vertSizing = "bottom";
			position = "233 22";
			extent = "109 10";
			minExtent = "109 10";
			visible = "1";

              		new GuiVoteCtrl(NewVoteHudVoteOverview)
              		{
              			profile = "ShellProgressBarProfile";
              			horizSizing = "width";
	      			vertSizing = "bottom";
              			position = "0 0";
              			extent = "109 10";
              			minExtent = "109 10";
              			visible = "1";
      			};
      			new GuiBitmapCtrl(NewVoteHudPassHash)
      			{
	      			profile = "GuiDefaultProfile";
         			horizSizing = "left";
         			vertSizing = "bottom";
         			position = "151 -1";
         			extent = "5 10";
         			minExtent = "5 10";
         			visible = "1";
				bitmap = "gui/voteMeterPassBar";
      			};
      		};
       	};
       	NewVoteHud.setSeparators("115 230");
       	playGui.add(NewVoteHud);
}

if (!isObject(NewVoteHudOptionsGui))
{
	new GuiControl(NewVoteHudOptionsGui) {
		profile = "GuiDefaultProfile";
		horizSizing = "width";
		vertSizing = "height";
		position = "0 10";
		extent = "400 310";
		minExtent = "400 310";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "135 70";
			extent = "126 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NewVoteHud::BottomPrint";
			helpTag = "0";
			text = "Bottom Print";
			longTextBuffer = "0";
			maxLength = "255";
		};
                new ShellBitmapButton() {
                	profile = "ShellButtonProfile";
                	horizSizing = "right";
                	vertSizing = "bottom";
                  	position = "150 180";
                       	extent = "100 38";
                       	minExtent = "32 38";
                       	visible = "1";
                       	hideCursor = "0";
                       	command = "NewVoteHudSavePrefs();";
                       	bypassHideCursor = "0";
                       	helpTag = "0";
                       	text = "SAVE";
                       	simpleStyle = "0";
                };
		new ShellPopupMenu(NewVoteHudPreviewPopup) {
                 	profile = "ShellPopupProfile";
                       	horizSizing = "right";
                       	vertSizing = "bottom";
                       	position = "110 105";
                       	extent = "180 36";
                       	minExtent = "49 36";
                       	visible = "1";
                       	hideCursor = "0";
                       	bypassHideCursor = "0";
                       	helpTag = "0";
                       	longTextBuffer = "0";
                       	text = "Select Profile";
                       	maxLength = "255";
                       	maxPopupHeight = "200";
                       	buttonBitmap = "gui/shll_pulldown";
                       	rolloverBarBitmap = "gui/shll_pulldownbar_rol";
                       	selectedBarBitmap = "gui/shll_pulldownbar_act";
                       	noButtonStyle = "0";
                };

	};
        NewVoteHudPreviewPopup.add("NewVoteHudProfile", 0);
        NewVoteHudPreviewPopup.add("NewVoteHudProfile1", 1);
        NewVoteHudPreviewPopup.add("NewVoteHudProfile2", 2);
        NewVoteHudPreviewPopup.add("HudScoreProfile", 3);
}

addMessageCallback('VoteStarted', initNewVoteHud);
addMessageCallback('openVoteHud', openNewVoteHud);
addMessageCallback('closeVoteHud', closeNewVoteHud);
addMessageCallback('addYesVote', NewVoteHudaddYesVote);
addMessageCallback('addNoVote', NewVoteHudaddNoVote);
addMessageCallback('MsgGameOver', closeNewVoteHud);
if (isObject(HM) && isObject(HudMover)) hudmover::addhud(NewVoteHud, "NewVoteHud");	                 	